/*
 *  debug.c - debug functions
 *  Copyright (c)2005 Mike Karas OM4AA <mike.om4aa@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include "osdep.h"
#include "debug.h"
#include "main.h"


FILE *f;
	
/* prints function (and file) name to debug file */
void debug_print_func(const char *file, const char *func, uint32_t line)
{
	if ((f = fopen(DEBUG_FILE, "at")) != NULL) {
		fprintf(f, "called: %s from %s at line %u\n", func, file, line);
		fclose(f);
	}

}

void debug_print_strvalue(const char *variable, const char *value, uint32_t line)
{
/*	debug_openlog(DEBUG_FILE);
	debug_print_tolog("line %u: %s = %s\n", line, variable, value);
	debug_closelog();*/
	if ((f = fopen(DEBUG_FILE, "at")) != NULL) {
		fprintf(f, "line %u: %s = %s\n", line, variable, value);
		fclose(f);
	}
}

void debug_print_intvalue(const char *variable, const int value, uint32_t line)
{
/*	debug_openlog(DEBUG_FILE);
	debug_print_tolog("line %u: %s = %s\n", line, variable, value);
	debug_closelog();*/
	if ((f = fopen(DEBUG_FILE, "at")) != NULL) {
		fprintf(f, "line %u: %s = %d\n", line, variable, value);
		fclose(f);
	}
}
